Page MenuHomePhabricator

Recover "Flominator" svn account for use as a modern developer account
Closed, ResolvedPublic

Description

When trying to register at https://wikitech.wikimedia.org/wiki/Special:CreateAccount with username "Flominator" I receive this:

Username entered already in use. Please choose a different name

Logging in with Wikipedia credentials didn't work, so I tried resetting the password via https://wikitech.wikimedia.org/wiki/Special:PasswordReset , where it says:

There is no user by the name "Flominator". Usernames are case sensitive. Check your spelling, or create a new account.

I think I had an svn account Flominator or flominator "decades ago" which I never managed to properly use due to laziness in combination with key trouble.

It is probably related to https://phabricator.wikimedia.org/T55793#555374

Thanks in advance,

Flo

Details

Related Gerrit Patches:
mediawiki/extensions/OpenStackManager : masterAdd maintenance script for attaching existing LDAP accounts

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2017, 5:23 PM
bd808 added a subscriber: bd808.

The LDAP account for cn=Flominator has a create date of 2010-10-15T00:45:57Z and no mail attribute which matches the svn account explanation.

bd808 renamed this task from username in use when creating account at wikitech to Recover "Flominator" svn account for use as a modern developer account.Nov 28 2017, 5:49 AM
bd808 moved this task from Inbox to Clinic Duty on the cloud-services-team (Kanban) board.
bd808 claimed this task.Dec 1 2017, 1:46 AM

@Flominator I have attached your existing LDAP account to Wikitech and set the account's email address to match the email address of your main Wikimedia account. You should be able to use https://wikitech.wikimedia.org/wiki/Special:PasswordReset to reset your password and start using your account.

Change 394510 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/extensions/OpenStackManager@master] Add maintenance script for attaching existing LDAP accounts

https://gerrit.wikimedia.org/r/394510

@bd808 Worked like a charm, thanks a lot. Now I only have to understand how all of this works around here ...

Change 394510 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] Add maintenance script for attaching existing LDAP accounts

https://gerrit.wikimedia.org/r/394510

bd808 closed this task as Resolved.Dec 19 2017, 5:33 PM
bd808 removed a project: Patch-For-Review.